'''
    Mapseg, a program for segmenting maps and producing OSM polygons
    Copyright (C) 2010 Tim Sheerman-Chase

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 or version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
'''

from PIL import Image

print "Loading image"
im = Image.open("su95se.png")

#x1 = 3594.0 / 5000.0
#x2 = 3905.0 / 5000.0
#y1 = 4642.0 / 5000.0
#y2 = 5000.0 / 5000.0

x1 = 558.0 / 5000.0
x2 = 1316.0 / 5000.0
y1 = 3684.0 / 5000.0
y2 = 4331.0 / 5000.0

x1px = int(round(x1*im.size[0]))
x2px = int(round(x2*im.size[0]))
y1px = int(round(y1*im.size[1]))
y2px = int(round(y2*im.size[1]))

cropped = im.crop((x1px,y1px,x2px,y2px))

bounds=( 155000, 495000, 150000, 500000 )

de = bounds[2] - bounds[0]
dn = bounds[3] - bounds[1]

cbounds = ( de * y1 + bounds[0], dn * x1 + bounds[1],
		de * y2 + bounds[0], dn * x2 + bounds[1])

print cbounds

#cropped.show()
cropped.save("cropped.png")
